      ==================
        DB Fingerprint
      ==================


-------------
  INTRO
-------------
[D]ata[B]ase [F]inger[P]rint

dbfp is a tool that will scan a sqlite database and generate a fingerprint.
The fingerprint will uniquely identify the database.
The fingerprint consists of the database schema, the sql table create statements, 
  md5 calculations, and file meta-data.
The fingerprint is stored to disk in JSON format.

The fingerprint can be used to identify unknown databases from random paths or recovered from deleted space.
The fingerprint can be used for historical comparisons to see what has changed in a new version of an application.


-------------
  FEATURES
-------------
1. Generate a fingerprint in JSON format.
2. Compare a sqlite database with a fingerprint.


-------------
  USAGE
-------------

***** ***** ***** *****
   DB Fingerprint
***** ***** ***** *****

usage: dbfp.py [-h] [-f FILE] [-fd FPDIR] [-fp FP] [-an APP_NAME]
               [-av APP_VERSION] [-n NOTES] [-v]

Fingerprint a sqlite database based on its schema

optional arguments:
  -h, --help            show this help message and exit
  -f FILE, --file FILE
  -fd FPDIR, --fpdir FPDIR
                        path to dirctory of fingerprint files
  -fp FP, --fp FP       fingerprint file to use in comparison
  -an APP_NAME, --app_name APP_NAME
  -av APP_VERSION, --app_version APP_VERSION
  -n NOTES, --notes NOTES
  -v, --verbose
  